Bug 1100870 - Review Request: perl-Parse-EDID - Extended display identification data parser
Review Request: perl-Parse-EDID - Extended display identification data parser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-23 12:34 EDT by marianne@tuxette.fr
Modified: 2015-01-10 12:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-10 12:22:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description marianne@tuxette.fr 2014-05-23 12:34:37 EDT
Spec URL: http://giverny.tuxette.fr/copr/perl-Parse-EDID/perl-Parse-EDID.spec
SRPM URL: http://giverny.tuxette.fr/copr/perl-Parse-EDID/perl-Parse-EDID-1.0.6-1.fc20.src.rpm
Description: This module provides some function to parse Extended Display Identification Data binary data structures.

Fedora Account System Username: jehane

This package is a require for fusioninventory-agent-task-inventory (actually under review https://bugzilla.redhat.com/show_bug.cgi?id=1090933 )

I'm not having a sponsor actually so I will need one.
Comment 1 David Dick 2014-05-23 19:52:53 EDT
Hi Maryanne,

I can't sponsor you, but i can offer you some help.  The following patch shows suggested changes to your spec file. Explanations follow;

--- perl-Parse-EDID.original    2014-05-24 08:33:55.978581987 +1000
+++ perl-Parse-EDID.spec        2014-05-24 08:48:28.184648360 +1000
@@ -1,15 +1,23 @@
 Name:           perl-Parse-EDID
 Version:        1.0.6
-Release:        0%{?dist}
+Release:        1%{?dist}
 Summary:        Extended display identification data (EDID) parser
 License:        GPLv3
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/Parse-EDID/
 Source0:        http://www.cpan.org/authors/id/G/GR/GROUSSE/Parse-EDID-%{version}.tar.gz
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
+BuildRequires:  perl
+BuildRequires:  perl(base)
+BuildRequires:  perl(English)
+BuildRequires:  perl(Exporter)
 BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(strict)
+BuildRequires:  perl(Test::Kwalitee)
 BuildRequires:  perl(Test::More) >= 0.93
+BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod::Coverage)
+BuildRequires:  perl(warnings)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

 %description
@@ -34,12 +42,11 @@
 make test

 %files
-%defattr(-,root,root,-)
-%doc Changes LICENSE META.json README
+%doc Changes LICENSE README
 %{perl_vendorlib}/*
 %{_mandir}/man3/*

 %changelog
-* Wed May 21 2014 Marianne Lombard <marianne@tuxette.fr> 1.0.6-1
+* Wed May 21 2014 Marianne Lombard <marianne@tuxette.fr> - 1.0.6-1
 - Adapting spec to actual guidelines
 - Specfile autogenerated by cpanspec 1.78.

Explanations

1) Release: tags start from 1
2) BuildRoot: is only required for EPEL5 builds.  Unless you want to build for EPEL5, you can remove this line
3) BuildRequires: perl - There are a variety of opinions on this BuildRequire, but i haven't seen anyone force it's removal
4) BuildRequires: perl(Test::Kwalitee) - I'm not really sure this is required, as it has no direct effect on the use of this module.  I would consider this optional at best.
5) BuildRequires: perl(Test::Pod) and perl(Test::Pod::Coverage) - Once again, a variety of opinions on this one, but i haven't seen anyone force it's removal.  The positive effect this has you can be sure that when a "perldoc Parse::EDID" is executed, the user will not see a set of POD errors. 
5) BuildRequires: All the other build requires can be found be grepping for 'use ' and 'require ' in the unpacked distribution.  Specifying the exact module names helps to protect you if perl packages are split up, both in the CPAN packages, and the default set of packages available in the fedora build environment.
6) defattr(-,root,root,-) is only required for EPEL5 builds.
7) META.json is a file only intended for packaging.  It has no use to the end user and may be removed.
8) Changelog just needed an extra dash to comply with rpm guidelines.  Running rpmlint on your package will show this error.
Comment 2 David Dick 2014-05-23 23:25:54 EDT
s/Maryanne/Marianne/g;

sorry!
Comment 4 David Dick 2014-08-09 04:36:41 EDT
Hi Marianne,

If you reject part of a review, it will help if you explain why.

That way, the reviewer will understand and modify the review according to your intentions.

It will also show that you understand what is being asked of you.
Comment 6 Michael Scherer 2014-11-23 08:28:56 EST
So the package is good, minus a few cleaning to do.
( mostly cleaning for old stuff, nothing
blocking ). So approved, and i can sponsor you.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)". Detailed output of licensecheck in
     /home/fedora/1100870-perl-Parse-EDID/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Parse(perl-Parse-CPAN-Packages, perl-Parse-
     CPAN-Distributions, perl-BackPAN-Index, perl-ParseTemplate, perl-Parse-
     Yapp, samba-pidl, perl-Parse-CPAN-Packages-Fast, perl-Parse-ErrorString-
     Perl, perl-Parse-RecDescent, perl-Parse-DebControl, perl-Parse-Method-
     Signatures, perl-Parse-CPAN-Meta, perl-ParseLex, perl-Parse-DMIDecode)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Parse-EDID-1.0.6-2.fc20.noarch.rpm
          perl-Parse-EDID-1.0.6-2.fc20.src.rpm
perl-Parse-EDID.noarch: E: script-without-shebang /usr/share/perl5/vendor_perl/Parse/EDID.pm
perl-Parse-EDID.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 13)
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Parse-EDID
perl-Parse-EDID.noarch: E: script-without-shebang /usr/share/perl5/vendor_perl/Parse/EDID.pm
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Parse-EDID (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.4)
    perl(Exporter)
    perl(base)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Parse-EDID:
    perl(Parse::EDID)
    perl-Parse-EDID



Source checksums
----------------
http://www.cpan.org/authors/id/G/GR/GROUSSE/Parse-EDID-1.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 12b949f0eaac6d39354cf9aee29083e4f9926be5e0b23a2ee49fccf4c836f4ee
  CHECKSUM(SHA256) upstream package : 12b949f0eaac6d39354cf9aee29083e4f9926be5e0b23a2ee49fccf4c836f4ee


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1100870
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 7 marianne@tuxette.fr 2014-11-23 09:21:17 EST
New Package SCM Request
=======================
Package Name: perl-parse-EDID
Short Description: Extended display identification data (EDID) parser
Upstream URL: http://search.cpan.org/dist/Parse-EDID/
Owners: jehane
Branches: f20 f21 el6 epel7
InitialCC: perl-sig
Comment 8 Jon Ciesla 2014-11-24 08:36:16 EST
WARNING: Requested package name perl-parse-EDID doesn't match bug summary
perl-Parse-EDID, please correct.
Comment 9 marianne@tuxette.fr 2014-11-24 09:04:25 EST
New Package SCM Request
=======================
Package Name: perl-Parse-EDID
Short Description: Extended display identification data (EDID) parser
Upstream URL: http://search.cpan.org/dist/Parse-EDID/
Owners: jehane
Branches: f20 f21 el6 epel7
InitialCC: perl-sig
Comment 10 Jon Ciesla 2014-11-24 09:43:40 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.